Order filter values.

PUT
/api/v1/filters/{id}/items/order

Updates the order of filter values associated with a filter item.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the filter whose values order is to be updated.

Formatuuid

Request Body

application/json

The request object containing the ID of the filter item and the direction of the order change (Up/Down).

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/filters/497f6eca-6276-4993-bfeb-53cbbbba6f08/items/order" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "direction": "string"  }'
Empty